parameters:
  locale: 'tr'
  site_dir: '%kernel.project_dir%/'
  uploads_dir: '%kernel.project_dir%/public/uploads/'
  uploads_url: 'localhost/symfony6/public/uploads/'

services:
  _defaults:
    autowire: true
    autoconfigure: true

  App\:
    resource: '../src/'
    exclude:
      - '../src/DependencyInjection/'
      - '../src/Entity/'
      - '../src/Kernel.php'

  App\Service\Helper:
    arguments:
      - '@Doctrine\ORM\EntityManagerInterface'
      - '@Symfony\Component\HttpFoundation\RequestStack'

  App\EventListener\DatabaseActivitySubscriber:
    arguments:
      - '@Symfony\Component\Security\Core\Authentication\Token\Storage\TokenStorageInterface'
    tags:
      - name: 'doctrine.event_subscriber'
        priority: 500
        connection: 'default'

  App\EventListener\LoginSubscriber:
    arguments:
      - '@Doctrine\ORM\EntityManagerInterface'
      - '@Symfony\Component\HttpFoundation\RequestStack'
      - '@App\Service\Helper'